<!--
@license
Copyright (c) 2016 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at http://polymer.github.io/LICENSE.txt
The complete set of authors may be found at http://polymer.github.io/AUTHORS.txt
The complete set of contributors may be found at http://polymer.github.io/CONTRIBUTORS.txt
Code distributed by Google as part of the polymer project is also
subject to an additional IP rights grant found at http://polymer.github.io/PATENTS.txt
-->

<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="shared-styles.html">
<link rel="import" href="../bower_components/paper-button/paper-button.html">
<link rel="import" href="../bower_components/paper-styles/color.html">
<link rel="import" href="../bower_components/paper-checkbox/paper-checkbox.html">
<link rel="import" href="../bower_components/iron-selector/iron-selector.html">

<dom-module id="my-view2">
  <template>
    <style include="shared-styles">
      :host {
        display: block;

        padding: 10px;
      }
      paper-button {
        font-family: 'Roboto', 'Noto', sans-serif;
        font-weight: normal;
        font-size: 14px;
        -webkit-font-smoothing: antialiased;
      }
      paper-button.indigo {
        display: inline-block;
        height: 2.75em;
        line-height: 2.75em;
        padding: 0 1.5em;
        background-color: transparent;
        /* background-color: #ffffff; */
        border-radius: 8px;
        font-size: 14px;
        border: solid 1px #ff9999;
        color: #ff9999 !important;
        cursor: pointer;
        text-align: center;
        font-weight: bold;
        text-decoration: none;
        white-space: nowrap;
        /* --paper-button-raised-keyboard-focus: {
            background-color: white !important;
            color: #ff7496 !important;
          }; */
      }
      paper-checkbox.red {
        --paper-checkbox-checked-color: #ff9999;
        --paper-checkbox-checked-ink-color: #ff9999;
        --paper-checkbox-unchecked-color: #ff9999;
        --paper-checkbox-unchecked-ink-color: #ff9999;
        --paper-checkbox-label-color: #FFFFFF;
        --paper-checkbox-vertical-align: top;
      }
      paper-button.indigo:hover {
        /* background-color: var(--paper-indigo-400); */
        background-color: #ff9999;
        color: white !important;
      }
    </style>

    <div class="card">
      <center><h1>กรุณาตอบคำถามด้านล่าง</h1></center>
      <template is="dom-repeat" items="{{questions2}}" as="question2">
        <p> <br /></p>
          <p> {{question2.question}}</p>
          <iron-selector attr-for-selected="name" selected="{{question2.selectanswer}}" selected-attribute="checked">
            <paper-checkbox class="red" name="answer1" >{{question2.answer1}} </paper-checkbox>
            <paper-checkbox class="red" name="answer2" >{{question2.answer2}} </paper-checkbox>
          </iron-selector>
      </template>
      <template is="dom-repeat" items="{{questions3}}" as="question3">
          <p> <br /></p>
          <p> {{question3.question}}</p>
          <iron-selector attr-for-selected="name" selected="{{question3.selectanswer}}" selected-attribute="checked">
            <paper-checkbox class="red" name="answer1" >{{question3.answer1}} </paper-checkbox>
            <paper-checkbox class="red" name="answer2" >{{question3.answer2}} </paper-checkbox>
            <paper-checkbox class="red" name="answer3" >{{question3.answer3}} </paper-checkbox>
          </iron-selector>
      </template>
      <template is="dom-repeat" items="{{questions4}}" as="question4">
          <p> <br /></p>
          <p> {{question4.question}}</p>
          <iron-selector attr-for-selected="name" selected="{{question4.selectanswer}}" selected-attribute="checked">
            <paper-checkbox class="red" name="answer1" >{{question4.answer1}} </paper-checkbox>
            <paper-checkbox class="red" name="answer2" >{{question4.answer2}} </paper-checkbox>
            <paper-checkbox class="red" name="answer3" >{{question4.answer3}} </paper-checkbox>
            <paper-checkbox class="red" name="answer4" >{{question4.answer4}} </paper-checkbox>
          </iron-selector>
      </template>
      <p> </p>
      <center><paper-button raised class="indigo" on-tap="predict">ส่งคำตอบ</paper-button></center>
    </div>
  </template>

  <script>
    class MyView2 extends Polymer.Element {
      static get is() { return 'my-view2'; }
      static get properties() {
           return {
             questions3:{
                 type : Array,
                 value : [{question:"ความรู้สึกเศร้า",answer1:"รู้สึกเศร้านานๆครั้ง",answer2:"รู้สึกเศร้าบ่อยครั้ง",answer3:"รู้สึกเศร้าตลอดเวลา",selectanswer:"",question_en:"feeling_sad"},
                 {question:"การรับประทานอาหาร",answer1:"มีหลายวันที่รู้สึกไม่อยากกินอาหาร",answer2:"มีบางวันที่ไม่รู้สึกอยากกินอาหาร",answer3:"กินอาหารได้ดี",selectanswer:"",quention_en:"eating"}]
               },
              questions2:{
                   type : Array,
                   value : [{question:"มีสัตว์เลี้ยงหรือไม่",answer1:"มี",answer2:"ไม่มี",selectanswer:"",question_en:"have_pet"},
                   {question:"เคยมีบุคคลในครอบครัวที่มีเป็นโรคซึมเศร้า",answer1:"มี",answer2:"ไม่มี",selectanswer:"",question_en:"family_member_have_depression"}]
                 },
              questions4:{
                    type : Array,
                    value : [{question:"เป็นบุตรคนที่เท่าไหร่ในครอบครัว",answer1:"คนโต",answer2:"คนกลาง",answer3:"คนเล็ก",answer4:"ลูกคนเดียว",selectanswer:"",question_en:"child_number"}]
                }
           }
         }
       predict(){
         var feeling_sad = "";
         var eating = "";
         var have_pet = "";
         var family_member_have_depression = "";
         var child_number = "";
         var class_yes = false;
         this.questions3.forEach(function (item,idx, array) {
                if(item.question_en == "feeling_sad"){
                  if(item.selectanswer == "answer1"){
                    feeling_sad = "rarely";
                  }
                  else if(item.selectanswer == "answer2"){
                    feeling_sad = "frequently";
                  }
                  else {
                    feeling_sad = "always";
                  }
                }
                if(item.question_en == "eating"){
                  if(item.selectanswer == "answer1"){
                    eating = "dont_want_to_eat";
                  }
                  else if(item.selectanswer == "answer2"){
                    eating = "sometime_dont_want_to_eat";
                  }
                  else{
                    eating = "normal";
                  }
                }

         });
         this.questions2.forEach(function (item,idx, array) {
                if(item.question_en == "have_pet"){
                  if(item.selectanswer == "answer1"){
                    have_pet = "Y";
                  }
                  else{
                    have_pet = "N";
                  }
                }
                if(item.question_en == "family_member_have_depression"){
                  if(item.selectanswer == "answer1"){
                    family_member_have_depression = "Y";
                  }
                  else{
                    family_member_have_depression = "N";
                  }
                }

         });

         this.questions4.forEach(function (item,idx, array) {
                if(item.question_en == "child_number"){
                  if(item.selectanswer == "answer1"){
                    child_number = "oldest";
                  }
                  else if(item.selectanswer == "answer2"){
                    child_number = "middle";
                  }
                  else if(item.selectanswer == "answer3"){
                    child_number = "youngest";
                  }
                  else{
                    child_number = "only_child";
                  }
                }
         });
         if(feeling_sad == "frequently"){
           if(have_pet == "N"){
             if(child_number == "middle"){
               if(family_member_have_depression == "N"){
                 class_yes = false;
               }
               else{
                 class_yes = true;
               }
             }
             else if(child_number == "only_child"){
               if(family_member_have_depression == "N"){
                 class_yes = true;
               }
               else{
                 class_yes = false;
               }
             }
             else if(child_number == "youngest"){
               class_yes = false;
             }
             else{
               class_yes = true;
             }
           }
          else{
            if(child_number == "middle"){
              class_yes = false;
            }
            else if(child_number == "only_child"){
              if(eating == "dont_want_to_eat"){
                classyes = true;
              }
              else if(eating == "normal"){
                classyes = false;
              }
              else{
                class_yes = true;
              }
            }
            else if(child_number == "youngest"){
              class_yes = false;
            }
            else{
              class_yes = false;
            }
          }
         }
         else if(feeling_sad == "rarely"){
           class_yes = false;
         }
         else{
           class_yes = true;
         }
         if(class_yes){
            window.location.href = "/classyes";
         }
         else{
           window.location.href = "/classno";
         }
       }
    }

    window.customElements.define(MyView2.is, MyView2);
  </script>
</dom-module>
